Skip to main content
POST
/
projects
/
{project_id}
/
figma_attachments
/
{figma_attachment_id}
/
keys
cURL
curl "https://api.phrase.com/v2/projects/:project_id/figma_attachments/:figma_attachment_id/keys" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X POST \
  -F branch=my-feature-branch \
  -F id=key_id \
  -H 'Content-Type: application/json'
phrase figma_attachment attach_to_key \
--project_id <project_id> \
--figma_attachment_id <figma_attachment_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/figma_attachments/{figma_attachment_id}/keys"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/projects/{project_id}/figma_attachments/{figma_attachment_id}/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

figma_attachment_id
string
required

Figma attachment ID

id
string
required

ID

Query Parameters

branch
string

specify the branch to use

Response

The resource was deleted successfully.